Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.display
Class URLEvent

    java.lang.Object
      java.util.EventObject
          org.crosswire.bibledesktop.display.URLEvent

All Implemented Interfaces:
  Serializable

    public class URLEvent

extends EventObject

A KeyChangeEvent happens whenever a user changes a key.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: URLEvent.java,v 1.3 2005/03/06 20:21:36 dmsmith Exp $
Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `Licence`, Serialized Form

Field Summary
`private String` | `protocol`
`private static long` | `serialVersionUID` Serialization ID
`private String` | `url`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`URLEvent(Object source, String protocol, String url)` For when a command has been made

Method Summary
`String` | `getProtocol()`
`String` | `getUrl()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### protocol

    private String protocol

### url

    private String url

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### URLEvent

    public URLEvent(Object source,
                    String protocol,
                    String url)

  For when a command has been made

  Parameters:
    `source` - The thing that started this off

Method Detail

### getProtocol

    public String getProtocol()

  Returns:
    Returns the protocol.

### getUrl

    public String getUrl()

  Returns:
    Returns the url.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD